Subject: FVWM: What is the history of FVWM?

From: Andy Arbon <[email-masked]>
Date: Fri, 16 Aug 2002 21:03:34 +0100

Hello,

I was having a discussion with a mate about our respective choices of 
window manager and it occurred to me that I know very little about where 
FVWM came from..

Who started it? When? What was it based on? I'd find info on this sort 
of thing quite interesting if anyone knows anything about it.

Perhaps it'd be worthy of a page on the FVWM website too?

Cheers,

--
Andy

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Erik Steffl <[email-masked]>
Date: Fri, 16 Aug 2002 16:27:30 -0700

> Perhaps it'd be worthy of a page on the FVWM website too?

  hey! slow down! next thing you'll be asking what does 'f' stand for!

	erik

---

From: Marcus Lundblad <[email-masked]>
Date: Sat, 17 Aug 2002 02:19:14 +0200 (CEST)

> of thing quite interesting if anyone knows anything about it.

The guy who started it was Rob Nation.
The earliest mentioning I could find on usenet dates to July of 1993.
The code was (as far as I know) based on twm.
It was designed to mimic mwm (Motif's WM), (but actually IMHO the default
window border handles look a bit like IRIX's 4dwm). 

// Marcus

---

From: Dominik Vogt <[email-masked]>
Date: Sat, 17 Aug 2002 03:39:56 +0200

> of thing quite interesting if anyone knows anything about it.

((Chuck, are you still lurking?  Can you fill in the gaps before
1998?))

Robert Nation started it back in 1993.  The first time anything
was heard about it in public was on the 1st of July in 1993, when
Rob bundled a development version (0.5.something) with an rxvt
release (a still popular terminal program).  In the next few
months, fvwm became an independent package and fvwm-1.0 was
released in fall, still 1993.  Originally, the "F" in fvwm stood
for "feeble".  But then, Rob seems to have forgotten this at some
point in time and thus the famouse FAQ question 1.1 was born.  But
although there is strong evidence on the meaning of the "F" in old
new group archives, we nowadays prefer the "mysterious F"
interpretation ;-)

I know litte about what happened between 1993 and 1996.  Rob
stopped to maintain fvwm and Charles Hines took over the project
for several years(?).  When Chuck resigned, Brady Montz became
the new maintainer for a couple of months, I believe in late 1997
or early 1998.  Anyway, it took almost 8 month between the 2.0.45
release (22nd of January, 1997) and 2.0.46 (20th of August, 1997).
I can only guess why, but probably this was a foresign of Chuck's
approaching retirement.  At this time I had been using fvwm-2.0.x
for about two years at home and wanted to implement some of the
features I liked in CDE to fvwm.  In December 1997 I sent Brady my
patches and never got an answer.  I tried again half a year later,
and contacted the mailing list, but fvwm development was as dead
as it could be.

Then - I believe it was in September or October (I have to look
this up in the mailing list archive) - Brady resigned and
everybody on the mailing list thought this would finally be the
end of fvwm development.  Seeing this and not willing to give up
fvwm this easily, I took over the job as fvwm maintainer for the
moment.  After a lot of discussion we agreed that we should try to
make a first stable release in the 2.x series as soon as possible.
With a grat team effort we were able to resolve the most pressing
issues and managed to get the stable 2.2.0 release out the door
in February 1999.  (I want to thank all the people who helped to
make it possible back then).

My memory of the sequence of events is a bit foggy.  Some time in
late 1998 or early 1999 we decided that having a single maintainer
as the master over the code wasn't such a hot idea.  In the past,
people had been eager to work on fvwm but had been hindered by the
maintainer, or more precisely:  by the absence of a maintainer.
As a result, almost no work had been done in fvwm for over one and
a half years.  So I gave up my role as the maintainer and the
responsibilities were since taken over by the people on the
fvwm-workers list.  Unfortunatly I'm still stuck with most of the
project organizing work.

Anyway, since that day in October 1998 when a complete X newbie
couldn't keep his mouth shut fvwm development is as active as it
will ever be.  Some of the people that helped to make 2.2 possible
left and some became less active, but we still have an excellent
team here (with a weakness in writing documentation).  Although
I'd rather not single out anyone, I have to mention Olivier
Chapuis and Mikhael Goikhman who are doing an excellent job in
providing some framework (configure, fvwm-themes,
internationalization, not to mention all the nifty features in the
fvwm core they have written).  Although at times it might appear
as if I am the one that keeps fvwm alive, fvwm wouldn't be half as
good without the help of the many people on the mailing lists, be
it by writing bug reports, complaining about missing features,
answering questions of other users or simply encouraging us to
continue our work.

What about the future?  Well, the work for the next stable series
(2.6.x) is proceeding very well.  Fvwm will go into feature freeze
again near the end of the year so that 2.6 is ready before fvwm's
tenth birthday on 1st of Junly, 2003.  I have vague plans for a
big event on that day to remind people that fvwm is still there
and that it can easily compete with any other window manager.
After that there are plans for a version 3.0 that would change a
lot of the syntax and introduce fantastic new features, but that's
too far from now.

> Perhaps it'd be worthy of a page on the FVWM website too?

That is definitely going to be done for fvwm's birthday.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Bob Woodside <[email-masked]>
Date: Sat, 17 Aug 2002 00:03:08 -0400

On Sat, 17 Aug 2002 03:39:56 +0200

> That is definitely going to be done for fvwm's birthday.

	Great idea. I hope Chuck can fill in a bit of detail on the 1995-1998 period
(woud that be the Carolingian era?)

	On Google I found an interesting link to a Linux Journal interview with Rob
circa 1997. 

		http://www.linuxjournal.com/article.php?sid=2164

At that time he appears to have recanted his absent-mindness and reverted to his
earlier position that the "F" stood for Feeble, because the earliest release was
just that: it didn't do much. It seems to have gotten better very quickly.

Cheers,
Bob

---

From: Charles Hines <[email-masked]>
Date: Mon, 19 Aug 2002 11:21:06 -0400

>>>>> "DV" == Dominik Vogt <[email-masked]> writes:

DV> ((Chuck, are you still lurking?  Can you fill in the gaps before
DV> 1998?))

I am still lurking, yes, but not sure how much I can fill in as my memory is
getting a little fuzzy in my old age...I'll see what I can do... :)

I apologize for leaving all of the cited text in here.  I normally would trim
out most of it but for filling in a history it seemed appropriate to leave it
in.

DV> Robert Nation started it back in 1993.  The first time anything
DV> was heard about it in public was on the 1st of July in 1993, when
DV> Rob bundled a development version (0.5.something) with an rxvt
DV> release (a still popular terminal program).  In the next few
DV> months, fvwm became an independent package and fvwm-1.0 was
DV> released in fall, still 1993.  Originally, the "F" in fvwm stood
DV> for "feeble".  But then, Rob seems to have forgotten this at some
DV> point in time and thus the famouse FAQ question 1.1 was born.  But
DV> although there is strong evidence on the meaning of the "F" in old
DV> new group archives, we nowadays prefer the "mysterious F"
DV> interpretation ;-)

I never agreed with "feeble" myself, even early on.  That was one of the
reasons I came up with that list in the FAQ, to provide alternate
possibilities, hopefully mostly positive.  Many of them were suggested in
emails on the mailing list, if I remember correctly.  Of course, I added the
explicitives to that list because they were what I most often used while
trying to figure out bugs. :)

DV> I know litte about what happened between 1993 and 1996.  Rob
DV> stopped to maintain fvwm and Charles Hines took over the project
DV> for several years(?).  When Chuck resigned, Brady Montz became
DV> the new maintainer for a couple of months, I believe in late 1997
DV> or early 1998.  Anyway, it took almost 8 month between the 2.0.45
DV> release (22nd of January, 1997) and 2.0.46 (20th of August, 1997).
DV> I can only guess why, but probably this was a foresign of Chuck's
DV> approaching retirement.  At this time I had been using fvwm-2.0.x
DV> for about two years at home and wanted to implement some of the
DV> features I liked in CDE to fvwm.  In December 1997 I sent Brady my
DV> patches and never got an answer.  I tried again half a year later,
DV> and contacted the mailing list, but fvwm development was as dead
DV> as it could be.

I believe that I maintained fvwm from Aug 95 through May of 98.

I had been using it actively from an early point (probably right around the
1.0 version, but I can't be sure, I have some saved emails about fvwm from
early in 1994 and I know I had been using it for a while before then).  I was
working at IBM and the machines we had at the time while fairly powerful were
still brought to their virtual knees by mwm, so I believe I searched USENET
(comp.windows.x.apps) for a good replacement.  Found fvwm and never looked
back... :)

I kept a close eye on fvwm after discovering it (I believe there was a mailing
list at "[email-masked]", and stuff on comp.windows.x.apps of course).  I
contributed a couple of minor patches to fvwm in those earlier days, like to
get it to compile nicely under AIX and some stuff with colormap behavior (I'm
so happy to not have an 8bit display any more).  By the way, if anyone has (or
can track down) any archives of that earlier mailing list, it'd probably be
pretty cool to resurrect them...

Then one day Rob had sent out a message (on the mailing list, I believe) that
stated something to the effect that he didn't want to work on fvwm any more,
and was looking for someone else to maintain it.  I wanted to offer to take it
over (as an X11 learning experience - I had dealt with X at the toolkits level
but was curious about the more low level stuff) but didn't feel I had the time
to properly devote to it so I didn't say anything at first.

Then after about 2 weeks of watching people say "I'd love to, but I can't
program" I figured I'd better make that offer after all, qualifying it with
something like "I don't know if I have time to do this right, but I'm willing
to make an attempt".  Rob remembered my previous contributions and figured I'd
be able to make a go at it, so he turned it over to me.  That was version
"pre-2.0-patchlevel-33" if I remember correctly.

Then I worked on it sporadically over the next couple of years.  At first I
wasn't too bad about getting releases out, but the length of time between each
one got longer as "real life" invaded.  Another part of the problem was
because I did use it as a learning experience, I would often rewrite patches
that were submitted to me so I really understood what was happening and with
an eye towards making things "easier" in the future (which I'm sure pissed off
a couple of people, but at the time I thought I had good reasons for doing
things that way).

Finially I had to admit that I just didn't have the time to properly devote to
it any more.  So it May of 1998 (I believe) I sent some email privately to
Brady Montz, as I felt that the stuff he contributed showed him to have the
most promise for taking it over at the time, and he (reluctantly?) agreed to
give it a shot.

And you know the rest of the story from there...  I wish I could have done
(and learned) more, but I'm happy to have done my part.

DV> Then - I believe it was in September or October (I have to look
DV> this up in the mailing list archive) - Brady resigned and
DV> everybody on the mailing list thought this would finally be the
DV> end of fvwm development.  Seeing this and not willing to give up
DV> fvwm this easily, I took over the job as fvwm maintainer for the
DV> moment.  After a lot of discussion we agreed that we should try to
DV> make a first stable release in the 2.x series as soon as possible.
DV> With a grat team effort we were able to resolve the most pressing
DV> issues and managed to get the stable 2.2.0 release out the door
DV> in February 1999.  (I want to thank all the people who helped to
DV> make it possible back then).

DV> My memory of the sequence of events is a bit foggy.  Some time in
DV> late 1998 or early 1999 we decided that having a single maintainer
DV> as the master over the code wasn't such a hot idea.  In the past,
DV> people had been eager to work on fvwm but had been hindered by the
DV> maintainer, or more precisely:  by the absence of a maintainer.
DV> As a result, almost no work had been done in fvwm for over one and
DV> a half years.  So I gave up my role as the maintainer and the
DV> responsibilities were since taken over by the people on the
DV> fvwm-workers list.  Unfortunatly I'm still stuck with most of the
DV> project organizing work.

I have to admit that at the time I didn't think the "rule by committee" stuff
was going to work with fvwm, but all in all it seems to have worked out pretty
well.  I think that a lot of that has to do with the fact that you were there
to steer it's course.  Having some other pretty sharp individuals contributing
helps too, of course. :)

DV> Anyway, since that day in October 1998 when a complete X newbie
DV> couldn't keep his mouth shut fvwm development is as active as it
DV> will ever be.  Some of the people that helped to make 2.2 possible
DV> left and some became less active, but we still have an excellent
DV> team here (with a weakness in writing documentation).  Although
DV> I'd rather not single out anyone, I have to mention Olivier
DV> Chapuis and Mikhael Goikhman who are doing an excellent job in
DV> providing some framework (configure, fvwm-themes,
DV> internationalization, not to mention all the nifty features in the
DV> fvwm core they have written).  Although at times it might appear
DV> as if I am the one that keeps fvwm alive, fvwm wouldn't be half as
DV> good without the help of the many people on the mailing lists, be
DV> it by writing bug reports, complaining about missing features,
DV> answering questions of other users or simply encouraging us to
DV> continue our work.

DV> What about the future?  Well, the work for the next stable series
DV> (2.6.x) is proceeding very well.  Fvwm will go into feature freeze
DV> again near the end of the year so that 2.6 is ready before fvwm's
DV> tenth birthday on 1st of Junly, 2003.  I have vague plans for a
DV> big event on that day to remind people that fvwm is still there
DV> and that it can easily compete with any other window manager.
DV> After that there are plans for a version 3.0 that would change a
DV> lot of the syntax and introduce fantastic new features, but that's
DV> too far from now.

Ah the future...scary and exciting... :)

>> Perhaps it'd be worthy of a page on the FVWM website too?

DV> That is definitely going to be done for fvwm's birthday.

Cool.

Hope my feedback helped fill in some more of the blanks.

Later,
Chuck

-- 
Charles K. Hines   <[email-masked]>   <[email-masked]>
Principal Scientist at ReQuest Technologies Inc   (http://www.ReQuestTech.com/)

  "dis ting could have possabiwities if I put my twisted widdle mind to it!"
                                                        - Bugs Bunny

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 19 Aug 2002 17:36:30 +0200

> Hope my feedback helped fill in some more of the blanks.

It helped a lot indeed!  Thanks, Chuck.  Well, maybe you (or
anybody else) can help out with something else:  how can I contact
Rob?  There's almost no information about him on the web, other
than the various references in the man pages.  The fvwm birthday
just *can't* go by without a word from him.  (Please reply to me
personally, we should respect Rob's privacy and not post personal
data on the web).

BTW, the first fvwm release was on 1st of June 1993, not July as I
wrote before.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, mail: [email-masked], phone: 0721/91374-382
Schlund + Partner AG, Erbprinzenstr. 4-12, D-76133 Karlsruhe
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Erik Steffl <[email-masked]>
Date: Mon, 19 Aug 2002 10:10:21 -0700

> getting a little fuzzy in my old age...I'll see what I can do... :)
...
> "pre-2.0-patchlevel-33" if I remember correctly.

  fuzzy indeed:-)

...
> DV> That is definitely going to be done for fvwm's birthday.

  this definitely has to go to a fvwm webpage (just my 2 haliere, in
case you had any doubts:-)

	erik